Summary:	Viewer for Hierarchical Datafiles (HDF5)
Name:		ViTables
Version:	2.1
Release:	10%{?dist}
License:	GPLv3
Group:		Development/Tools
URL:		http://www.vitables.org/

Source0:	http://vitables.googlecode.com/files/%{name}-%{version}.tar.gz

Requires:	hdf5 numpy python-tables PyQt4
BuildRequires:	numpy hdf5-devel python-devel 
BuildRequires:	python-tables PyQt4 python-sphinx sphinx
BuildArch:	noarch

%description
ViTables is a component of the PyTables family. It is a graphical tool
for browsing and editing files in both PyTables and HDF5 formats. It
is developed using Python and PyQt (the Python binding to the Qt
library), so it can run on any platform that supports these
components.

%package doc
Summary:	%{name} documentation and examples
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains the documentation and examples
for %{name}

%prep
%setup -q

%build
python setup.py build 


%install
python setup.py install -O1 --skip-build  --root=%{buildroot}

%clean
rm -rf %{buildroot}

# force the directory to be the same for ViTables and ViTables-doc
%global _docdir_fmt %{name}

%files
%doc ANNOUNCE.txt README.txt TODO.txt LICENSE.txt
%{_bindir}/vitables
%{python_sitelib}/vitables
%{python_sitelib}/%{name}-%{version}-py*.egg-info

%files doc
%doc examples/
%doc doc/UsersGuide.pdf

%changelog
* Wed Jan 07 2015 Orion Poplawski <orion@cora.nwra.com> - 2.1-10
- Rebuild for hdf5 1.8.14

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Dec 27 2013 Orion Poplawski <orion@cora.nwra.com> - 2.1-8
- Rebuild for hdf5 1.8.12

* Wed Oct 16 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.1-7
- Fix for https://fedoraproject.org/wiki/Changes/UnversionedDocdirs

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 12 2011 Thibault North <tnorth@fedoraproject.org> - 2.1-2
- Fixes

* Tue Nov 8 2011 Thibault North <tnorth@fedoraproject.org> - 2.1-1
- Initial package
